import { createApp } from 'vue';
import 'virtual:windi-base.css';
import 'virtual:windi-components.css';
import './style.css';
import 'virtual:windi-utilities.css';
// import "/@/assets/theme.editor.scss";
import { setupStore } from '/@/store';
import App from './App.vue';
import registerComponent from '/@/components/registerComponent';
import { setupI18n } from '/@/locales/setupI18n';
// import ClickOutSide from '/@/utils/ClickOutSide';
// import Components from "./global_components";

async function bootstrap() {
  const app = createApp(App);

  // Configure store
  setupStore(app);
  app.use(registerComponent);
  await setupI18n(app);
  // app.directive('click-outside', ClickOutSide);
  app.mount('#app');
}

bootstrap();
